%{?nodejs_find_provides_and_requires}

%global packagename verror
%global enable_tests 1

Name:		nodejs-verror
Version:	1.6.0
Release:	2%{?dist}
Summary:	Richer JavaScript errors

License:	MIT
URL:		https://github.com/davepacheco/node-verror.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(extsprintf)
%endif

Requires:	nodejs

%description
Richer JavaScript errors


%prep
%setup -q -n package

%nodejs_fixdep extsprintf

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.conf lib/ experiments/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
make test
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md examples/
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 29 2015 Jared Smith <jsmith@fedoraproject.org> - 1.6.0-2
- Fix missing BuildRequires on npm(extsprintf)

* Thu Oct 29 2015 Jared Smith <jsmith@fedoraproject.org> - 1.6.0-1
- Initial packaging
